//
//  ViewController.m
//  AnimateMenu
//
//  Created by harald bregu on 25/02/13.
//  Copyright (c) 2013 harald bregu. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()
{
    //Contenitore del Menu
    UIView *containerView;
    //Menu
    UIView *myMenuView;
    //Bottone
    UIButton*btn;
    
    float x;
}
@end


@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	
    self.view.backgroundColor = [UIColor scrollViewTexturedBackgroundColor];
    
    containerView = [[UIView alloc] initWithFrame:CGRectMake(0, -70, self.view.bounds.size.width, 100)];
    containerView.backgroundColor = [UIColor clearColor];
    [self.view addSubview:containerView];
    
    myMenuView = [[UIView alloc] initWithFrame:CGRectMake(0, 0, containerView.bounds.size.width, 70)];
    myMenuView.backgroundColor = [UIColor grayColor];
    [containerView addSubview:myMenuView];
    
    x = 16;
    [self multipleButtons];
    
    btn = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    btn.frame = CGRectMake(110, 75, 60, 25);
    btn.selected = YES;
    [btn setTitle:@"Push" forState:UIControlStateNormal];
    [btn addTarget:nil action:@selector(pushButton:) forControlEvents:UIControlEventTouchUpInside];
    [containerView addSubview:btn];
}

-(void)pushButton:(UIButton *)button
{
    button.selected = !button.isSelected;
    
    if (!button.isSelected) {
    [UIView animateWithDuration:0.4 animations:^{
        CGRect yContainer = containerView.frame;
        yContainer.origin.y = 0;
        containerView.frame = yContainer;
    }];
    }
    
    if (button.isSelected) {
        [UIView animateWithDuration:0.4 animations:^{
            CGRect yContainer = containerView.frame;
            yContainer.origin.y = -70;
            containerView.frame = yContainer;
        }];
    }
    
}


-(void)multipleButtons
{
    for (int i = 0; i<4; i++) {
    UIButton *mtbtn = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    mtbtn.frame = CGRectMake(x, 5, 60, 60);
    [mtbtn setTitle:@"Me" forState:UIControlStateNormal];
    [myMenuView addSubview:mtbtn];
        x+=76;
    }
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}








@end
